# Create fee plan agreement

`POST /accounts/{accountID}/fee-plan-agreements`

API version: `v2026.07.00`. Send `X-Moov-Version: v2026.07.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

Creates the subscription of a fee plan to a merchant account. Merchants are required to accept the fee plan terms prior to activation.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/profile.write` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.07.00`. |
| `accountID` | path | string | Yes | A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer). |

## Request body

Content type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `planID` | string | Yes | A unique identifier for a fee plan: the pricing terms, such as flat-rate or cost-plus, that an account is charged under its fee plan agreement. Use GET /accounts/{accountID}/fee-plans to list the fee plans available to assign to a given account. |
| `priorAgreementID` | string |  | The account's active fee plan agreement to supersede. When set, that agreement is terminated and the new one takes its place in a single operation, so the account is never without an active fee plan agreement. This new agreement always receives a newly issued agreementID. Omit it if the account doesn't already have an active fee plan agreement. |

## Response 201

The resource was successfully created.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `agreementID` | string | Yes | A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer). |
| `planID` | string | Yes | A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer). |
| `accountID` | string |  | A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer). |
| `name` | string | Yes | The name of the agreement. |
| `description` | string |  | The description of the agreement. |
| `acceptedOn` | string (date-time) | Yes |  |
| `status` | string | Yes | Values: `active`, `terminated`. |
| `cardAcquiringModel` | string | Yes | Specifies the card processing pricing model Values: `cost-plus`, `flat-rate`. |
| `billableFees` | array of object | Yes |  |
| `billableFees[].billableFeeID` | string |  | A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer). |
| `billableFees[].billableEvent` | string |  | A unique code identifying a charge. |
| `billableFees[].feeName` | string |  | Specifies the name of the fee that will be billed. |
| `billableFees[].feeModel` | string | Yes | Specifies the pricing model used for the calculation of the final fee. Values: `fixed`, `blended`, `variable`. |
| `billableFees[].feeCategory` | string | Yes | Values: `ach`, `card-acquiring`, `card-other`, `card-pull`, `card-push`, `instant-bank`, `monthly-platform`, `network-passthrough`, `other`, `rtp`. |
| `billableFees[].feeProperties` | object |  | Defines the specific parameters used for fee calculation. |
| `billableFees[].feeConditions` | object |  | Defines the specific conditions that must be met for the fee to be applied. |
| `minimumCommitment` | object | Yes | The minimum spending amount that must be met in the billing period. If actual usage is below the minimum amount, account is charged the difference. |
| `minimumCommitment.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `minimumCommitment.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `monthlyPlatformFee` | object | Yes | Fixed recurring amount paid in the billing period regardless of usage. |
| `monthlyPlatformFee.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `monthlyPlatformFee.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `priorAgreementID` | string |  | The agreement this one replaced. Only set when the agreement was created by replacing another. |
| `priorAgreementTerminatedOn` | string (date-time) |  | The date and time the prior agreement was terminated. |

## Errors

| Status | Meaning |
| --- | --- |
| 400 | The server could not understand the request due to invalid syntax. |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 404 | The requested resource was not found. |
| 409 | The request conflicted with the current state of the target resource. |
| 422 | The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X POST "https://api.moov.io/accounts/{accountID}/fee-plan-agreements" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00" \
  -d '{
  "planID": "string"
}'
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.feePlans.createFeePlanAgreements({
    accountID: "409c6b4b-e622-40c2-9dc4-fb494e555723",
    createFeePlanAgreement: {
      planID: "19801f96-ea27-4610-b4d1-8c6b46f37928",
    },
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/moov-accounts/billing/create-agreement/
